Subject: Re: [PATCH 0/2] Fix annoyance with "guix import go"

From: Fabio Natali <[email-masked]>
Date: Thu, 05 Sep 2024 12:27:39 +0100

Hi All,

I've been recently trying to update Restic with 'guix import go
--recursive github.com/restic/restic'. (I wasn't expecting this to be an
easy task, by the way. I knew there are difficulties that have kept us
on an old version for a long time. https://issues.guix.gnu.org/63019)

Apparently, the import fails on those Go repositories that use a
subdirectory/subpackage structure - which brought me to this thread.

I was wondering if any of the patches proposed here (or in related
#52362, #63001, #64035, #64036) might be worth some final clean up and
merge - even if it addresses a subset of the problems?

Thanks, cheers, Fabio.